Package org.eclipse.emf.cdo.spi.common.util

## Class CoreOperations

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.util.CoreOperations

-     public final class CoreOperations
      extends java.lang.Object

  Since:
    4.15
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ID_CREATE_BRANCH` |
    `static java.lang.String` | `ID_CREATE_TAG` |
    `static java.lang.String` | `ID_DELETE_BRANCH` |
    `static java.lang.String` | `ID_DELETE_TAG` |
    `static java.lang.String` | `ID_MOVE_TAG` |
    `static java.lang.String` | `ID_RENAME_BRANCH` |
    `static java.lang.String` | `ID_RENAME_TAG` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.eclipse.net4j.util.security.operations.AuthorizableOperation` | `createBranch​(int branchID, java.lang.String name, int baseBranchID, long baseTimeStamp)` |
    `static org.eclipse.net4j.util.security.operations.AuthorizableOperation` | `createTag​(java.lang.String name, int branchID, long timeStamp)` |
    `static org.eclipse.net4j.util.security.operations.AuthorizableOperation` | `deleteBranch​(int branchID)` |
    `static org.eclipse.net4j.util.security.operations.AuthorizableOperation` | `deleteTag​(java.lang.String name)` |
    `static org.eclipse.net4j.util.security.operations.AuthorizableOperation` | `moveTag​(java.lang.String name, int branchID, long timeStamp)` |
    `static org.eclipse.net4j.util.security.operations.AuthorizableOperation` | `renameBranch​(int branchID, java.lang.String newName)` |
    `static org.eclipse.net4j.util.security.operations.AuthorizableOperation` | `renameTag​(java.lang.String oldName, java.lang.String newName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID_CREATE_BRANCH

          public static final java.lang.String ID_CREATE_BRANCH

      See Also:
        Constant Field Values

    - #### ID_RENAME_BRANCH

          public static final java.lang.String ID_RENAME_BRANCH

      See Also:
        Constant Field Values

    - #### ID_DELETE_BRANCH

          public static final java.lang.String ID_DELETE_BRANCH

      See Also:
        Constant Field Values

    - #### ID_CREATE_TAG

          public static final java.lang.String ID_CREATE_TAG

      See Also:
        Constant Field Values

    - #### ID_RENAME_TAG

          public static final java.lang.String ID_RENAME_TAG

      See Also:
        Constant Field Values

    - #### ID_MOVE_TAG

          public static final java.lang.String ID_MOVE_TAG

      See Also:
        Constant Field Values

    - #### ID_DELETE_TAG

          public static final java.lang.String ID_DELETE_TAG

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createBranch

          public static org.eclipse.net4j.util.security.operations.AuthorizableOperation createBranch​(int branchID,
                                                                                                      java.lang.String name,
                                                                                                      int baseBranchID,
                                                                                                      long baseTimeStamp)

    - #### renameBranch

          public static org.eclipse.net4j.util.security.operations.AuthorizableOperation renameBranch​(int branchID,
                                                                                                      java.lang.String newName)

    - #### deleteBranch

          public static org.eclipse.net4j.util.security.operations.AuthorizableOperation deleteBranch​(int branchID)

    - #### createTag

          public static org.eclipse.net4j.util.security.operations.AuthorizableOperation createTag​(java.lang.String name,
                                                                                                   int branchID,
                                                                                                   long timeStamp)

    - #### renameTag

          public static org.eclipse.net4j.util.security.operations.AuthorizableOperation renameTag​(java.lang.String oldName,
                                                                                                   java.lang.String newName)

    - #### moveTag

          public static org.eclipse.net4j.util.security.operations.AuthorizableOperation moveTag​(java.lang.String name,
                                                                                                 int branchID,
                                                                                                 long timeStamp)

    - #### deleteTag

          public static org.eclipse.net4j.util.security.operations.AuthorizableOperation deleteTag​(java.lang.String name)